import request from '@/router/axios';

export const getProvinceList = (params) => {
  return request({
    url: '/api/cyzh-region/region/getProvinceList',
    method: 'get',
    params: {
      ...params,
    }
  })
}

export const getCityList = (provinceCode) => {
  return request({
    url: '/api/cyzh-region/region/getCityList',
    method: 'get',
    params: {
      provinceCode
    }
  })
}

export const getDistrictList = (cityCode) => {
  return request({
    url: '/api/cyzh-region/region/getDistrictList',
    method: 'get',
    params: {
      cityCode
    }
  })
}
